# Salt MultiSurf Data Autoextend

For those who are subscribed to Salt "MultiSurf" Data Plan (that let you have a second sim to benefit from your illimited 4G subscription), there's a (monthly) soft cap after the first 500GB, who require from you to click on their [status page](http://costcontrol.salt.ch/status) to extend it 10GB per 10GB.

This Script will automatically extend your Data Cap Data Cap by sending a request as if you were to click on the +10GB button.

By default, the script only extend if you have less than 25% of your cap available. It will then calculate how much +10GB increments are needed to get to your threshold and then send as many requests.


## Options 

You can change some variables to fit your needs:

- **extend_percent_threshold = 25** The threshold trigger the extend requests
- **simulate_extends = False** The script will still calculate extend goal but wont send POST requests
- **calculate_extends = True** The script calculate how many extend are needed for threshold and will extend in bulk. If set to false, a fixed amount of request is sent.
- **default_extends_qty = 1** The default amount of request sent if not calculated